#!/bin/sh
touch pom
for i in *.rep*
do
  echo $i >>pom 
  cat $i |sed -n 's/^i_patterns: \([0-9]*\).*/\1/p' >>pom
  cat $i |sed -n 's/^patterns: \([0-9]*\).*/\1/p' >>pom
  cat $i |sed -n 's/^faults: \([0-9]*\).*/\1/p' >>pom
  cat $i |sed -n 's/^d_faults: \([0-9]*\).*/\1/p' >>pom
  cat $i |sed -n 's/^r_faults: \([0-9]*\).*/\1/p' >>pom
done
cat pom | paste -d ";" - - - - - - >out.csv
rm pom
